Source: python-aiounittest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
 python3-wrapt,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-aiounittest
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-aiounittest.git
Homepage: https://github.com/kwarunek/aiounittest

Package: python3-aiounittest
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: test asyncio code more easily
 The aiounittest is a helper library to ease of your pain (and boilerplate),
 when writing a test of the asynchronous code (:code:`asyncio`). With this
 library, it is possible to test:
  * synchronous code (same as the unittest.TestCase from the std lib)
  * asynchronous code: it supports syntax like async/await (Python 3.5+) and
    asyncio.coroutine/yield from (Python 3.4).
